%define url_ver %(echo %{version} | cut -d "." -f -2)

%define api 2.4
%define realapi 1.4
%define major 1
%define libname %mklibname %{name} %{api} %{major}
%define devname %mklibname %{name} %{api} -d

Summary:	C++ interface for the pango library
Name:		pangomm
Version:	2.36.0
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://gtkmm.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# That's really wrong, should be fixed on platform change
Source10:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(cairomm-1.0)
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:	pkgconfig(mm-common-util)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)

%description
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	C++ interface for the pango library
Group:		System/Libraries
Provides:	%{name}%{api} = %{EVRD}

%description -n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%files -n %{libname}
%{_libdir}/libpangomm-%{realapi}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	%{name}%{api}-devel = %{EVRD}

%description -n %{devname}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%files -n %{devname}
%doc COPYING ChangeLog AUTHORS COPYING NEWS README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/pangomm-%{realapi}/

#----------------------------------------------------------------------------

%package doc
Summary:	GTKmm documentation
Group:		Documentation

%description doc
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for pangomm. You can readily read
this documentation with devhelp, a documentation reader.

%files doc
%doc %{_datadir}/doc/pangomm-%{realapi}/
%doc %{_datadir}/devhelp/books/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--enable-static \
	--enable-shared \
	--disable-static
%make

%install
%makeinstall_std


%changelog

* Wed Mar 25 2015 Tigro <ashejn@yandex-team.ru> 2.36.0-1
- (44a0c09) update to 2.36.0


